Bug 1563825 - Ubuntu build errors because of "no such option: --use-wheel" in pip
Summary: Ubuntu build errors because of "no such option: --use-wheel" in pip
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Build
Version: 2.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: z1
: 2.5
Assignee: tserlin
QA Contact: subhash
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 20:04 UTC by tserlin
Modified: 2018-07-26 18:07 UTC (History)
3 users (show)

Fixed In Version: RHEL: ceph-10.2.10-22.el7cp Ubuntu: ceph_10.2.10-19redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-26 18:06:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph pull 21178 None None None 2018-04-05 02:25:59 UTC
Red Hat Product Errata RHSA-2018:2261 None None None 2018-07-26 18:07:49 UTC

Description tserlin 2018-04-04 20:04:06 UTC
The downstream Ubuntu build of RHCS 2 and 3 will fail because of now-invalid pip option "--use-wheel".

Here is a log of an upstream example: https://jenkins.ceph.com/job/ceph-dev-new-build/ARCH=x86_64,AVAILABLE_ARCH=x86_64,AVAILABLE_DIST=xenial,DIST=xenial,MACHINE_SIZE=huge/10625//consoleFull

Fix is here: https://github.com/ceph/ceph/pull/21159

Has been backported into luminous and jewel.

Comment 13 errata-xmlrpc 2018-07-26 18:06:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2261


Note You need to log in before you can comment on or make changes to this bug.